[PATCH] git-svn: remove svnadmin dependency from the tests

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



We require the libraries now, so we can create repositories
using them (and save some executable load time while we're at
it).

Signed-off-by: Eric Wong <normalperson@xxxxxxxx>
---
 t/lib-git-svn.sh |   39 +++++++++++++++++----------------------
 1 files changed, 17 insertions(+), 22 deletions(-)

diff --git a/t/lib-git-svn.sh b/t/lib-git-svn.sh
index 99ada71..af42ccc 100644
--- a/t/lib-git-svn.sh
+++ b/t/lib-git-svn.sh
@@ -7,26 +7,10 @@ then
 	exit
 fi
 
-perl -e 'use SVN::Core; $SVN::Core::VERSION gt "1.1.0" or die' >/dev/null 2>&1
-if test $? -ne 0
-then
-	test_expect_success 'Perl SVN libraries not found, skipping test' :
-	test_done
-	exit
-fi
-
 GIT_DIR=$PWD/.git
 GIT_SVN_DIR=$GIT_DIR/svn/git-svn
 SVN_TREE=$GIT_SVN_DIR/svn-tree
 
-svnadmin >/dev/null 2>&1
-if test $? -ne 1
-then
-    test_expect_success 'skipping git-svn tests, svnadmin not found' :
-    test_done
-    exit
-fi
-
 svn >/dev/null 2>&1
 if test $? -ne 1
 then
@@ -37,13 +21,24 @@ fi
 
 svnrepo=$PWD/svnrepo
 
-set -e
-
-if svnadmin create --help | grep fs-type >/dev/null
+perl -w -e "
+use SVN::Core;
+use SVN::Repos;
+\$SVN::Core::VERSION gt '1.1.0' or exit(42);
+SVN::Repos::create('$svnrepo', undef, undef, undef,
+                           { 'fs-config' => 'fsfs'});
+"
+x=$?
+if test $x -ne 0
 then
-	svnadmin create --fs-type fsfs "$svnrepo"
-else
-	svnadmin create "$svnrepo"
+	if test $x -eq 42; then
+		err='Perl SVN libraries must be >= 1.1.0'
+	else
+		err='Perl SVN libraries not found or unusable, skipping test'
+	fi
+	test_expect_success "$err" :
+	test_done
+	exit
 fi
 
 svnrepo="file://$svnrepo"
-- 
1.5.0.rc0.g1ed48

-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]